# VRButtonViewModel

#### new Cesium.VRButtonViewModel(scene, vrElement)
widgets/Source/VRButton/VRButtonViewModel.js 82

The view model for `VRButton`.

Name | Type | Default | Description
--- | --- | --- | ---
`scene` | Scene |  | The scene.
`vrElement` | Element | string | `document.body` | optional The element or id to be placed into VR mode.

### Members

#### command : Command
widgets/Source/VRButton/VRButtonViewModel.js 202

Gets the Command to toggle VR mode.

#### isVREnabled : boolean
widgets/Source/VRButton/VRButtonViewModel.js 112

Gets or sets whether or not VR functionality should be enabled.

##### See:

- Fullscreen.enabled

#### isVRMode : boolean
widgets/Source/VRButton/VRButtonViewModel.js 99

Gets whether or not VR mode is active.

#### tooltip : string
widgets/Source/VRButton/VRButtonViewModel.js 127

Gets the tooltip. This property is observable.

#### vrElement : Element
widgets/Source/VRButton/VRButtonViewModel.js 180

Gets or sets the HTML element to place into VR mode when the corresponding button is pressed.

### Methods

#### destroy()
widgets/Source/VRButton/VRButtonViewModel.js 220

Destroys the view model. Should be called to properly clean up the view model when it is no longer needed.

#### isDestroyed() → boolean
widgets/Source/VRButton/VRButtonViewModel.js 212

##### Returns:

true if the object has been destroyed, false otherwise.

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.